RESTinio

Public Member Functions | List of all members
restinio::impl::restinio_err_category_t Class Reference

Error category for asio compatible error codes. More...

`#include <asio_include.hpp>`

Inheritance diagram for restinio::impl::restinio_err_category_t:

## Public Member Functions
virtual const char * | name () const RESTINIO_ERROR_CATEGORY_NAME_NOEXCEPT override
virtual std::string | message (int value) const override

## Detailed Description

Error category for asio compatible error codes.

Definition at line 156 of file asio_include.hpp.

## Member Function Documentation

## ◆ message()

virtual std::string restinio::impl::restinio_err_category_t::message | ( | int | value | ) | const
| inline override virtual

Definition at line 166 of file asio_include.hpp.

## ◆ name()

virtual const char * restinio::impl::restinio_err_category_t::name | ( |  | ) | const
| inline override virtual

Definition at line 160 of file asio_include.hpp.

The documentation for this class was generated from the following file:

- restinio/asio_include.hpp